#pragma once

#include "includes.h"

typedef struct
{
	const char *object;
	//-1 == infinity
	int numberOfLoops;
	bool writeEnable; ///< If you want to write to this object, 0=false, 1=true, if false, then you cannot set it anymore
}PgdTriggObjInf;

typedef struct
{
	int amount; 
	PgdTriggObjInf *objInf;
}PgdTriggObjInfVect;

void pgd_infvect_trigg_obj_add(PgdTriggObjInfVect *objInfVect,const char *object,int numberOfLoops,bool writeEnable);

void pgd_infvect_trigg_obj_add_from_trigger(PgdTriggObjInfVect *objInfVect,const char *trigger,EksParent *topEksParent);

char *pgd_trigger_as_string(EksParent *triggerEksParent,EksParent *topEksParent);
